# Summary

- [Introduction](README.md)
  - [What is BetterScroll ?](README.md#what-is-better-scroll-)
  - [start](README.md#getting-started)
  - [the core of scrolling](README.md#the-core-of-scrolling)
  - [the implementation of better-scroll in MVVM frameworks](README.md#the-implementation-of-better-scroll-in-mvvm-frameworks)
- [Install](installation.md)
  - [NPM](installation.md#npm)
  - [script load](installation.md#script-load)
- [Options / Basic](options.md)
  - [startX](options.md#startx)
  - [startY](options.md#starty)
  - [scrollX](options.md#scrollx)
  - [scrollY](options.md#scrolly)
  - [freeScroll](options.md#freescroll)
  - [directionLockThreshold](options.md#directionlockthreshold)
  - [eventPassthrough](options.md#eventpassthrough)
  - [click](options.md#click)
  - [dblclick](options.md#dblclickv1120)
  - [tap](options.md#tap)
  - [bounce](options.md#bounce)
  - [bounceTime](options.md#bouncetime)
  - [momentum](options.md#momentum)
  - [momentumLimitTime](options.md#momentumlimittime)
  - [momentumLimitDistance](options.md#momentumlimitdistance)
  - [swipeTime](options.md#swipetime)
  - [swipeBounceTime](options.md#swipebouncetime)
  - [deceleration](options.md#deceleration)
  - [flickLimitTime](options.md#flicklimittime)
  - [flickLimitDistance](options.md#flicklimitdistance)
  - [resizePolling](options.md#resizepolling)
  - [probeType](options.md#probetype)
  - [preventDefault](options.md#preventdefault)
  - [preventDefaultException](options.md#preventdefaultexception)
  - [HWCompositing](options.md#hwcompositing)
  - [useTransition](options.md#usetransition)
  - [useTransform](options.md#usetransform)
  - [bindToWrapper](options.md#bindtowrapper)
  - [disableMouse](options.md#disablemouse)
  - [disableTouch](options.md#disabletouch)
  - [observeDOM](options.md#observedomv153)
  - [autoBlur](options.md#autoblurv170)
  - [stopPropagation](options.md#stoppropagationv190)
- [Options / Advanced](options-advanced.md)
  - [wheel](options-advanced.md#wheel)
  - [snap](options-advanced.md#snap)
  - [scrollbar](options-advanced.md#scrollbar)
  - [pullDownRefresh](options-advanced.md#pulldownrefresh)
  - [pullUpLoad](options-advanced.md#pullupload)
  - [mouseWheel](options-advanced.md#mousewheelv180)
  - [zoom](options-advanced.md#zoomv1110)
  - [infinity](options-advanced.md#infinityv1120)
- [Methods / Common](api.md)
  - [refresh](api.md#refresh)
  - [scrollTo](api.md#scrolltox-y-time-easing)
  - [scrollBy](api.md#scrollbyx-y-time-easing)
  - [scrollToElement](api.md#scrolltoelementel-time-offsetx-offsety-easing)
  - [stop](api.md#stop)
  - [enable](api.md#enable)
  - [disable](api.md#disable)
  - [destroy](api.md#destroy)
  - [on](api.md#ontype-fn-context)
  - [once](api.md#oncetype-fn-context)
  - [off](api.md#offtype-fn)
- [Methods / Customized](api-specific.md)
  - [goToPage](api-specific.md#gotopagex-y-time-easing)
  - [next](api-specific.md#nexttime-easing)
  - [prev](api-specific.md#prevtime-easing)
  - [getCurrentPage](api-specific.md#getcurrentpage)
  - [wheelTo](api-specific.md#wheeltoindex)
  - [getSelectedIndex](api-specific.md#getselectedindex)
  - [finishPullDown](api-specific.md#finishpulldown)
  - [openPullDown](api-specific.md#openpulldownconfig-v190)
  - [closePullDown](api-specific.md#closepulldown-v190)
  - [autoPullDownRefresh](api-specific.md#autopulldownrefresh-v1140)
  - [finishPullUp](api-specific.md#finishpullup)
  - [openPullUp](api-specific.md#openpullupconfig-v190)
  - [closePullUp](api-specific.md#closepullup-v190)
  - [zoomTo](api-specific.md#zoomtoscale-x-y-v1120)
- [Events](events.md)
  - [beforeScrollStart](events.md#beforescrollstart)
  - [scrollStart](events.md#scrollstart)
  - [scroll](events.md#scroll)
  - [scrollCancel](events.md#scrollcancel)
  - [scrollEnd](events.md#scrollend)
  - [touchEnd](events.md#touchend)
  - [flick](events.md#flick)
  - [refresh](events.md#refresh)
  - [destroy](events.md#destroy)
  - [pullingDown](events.md#pullingdown)
  - [pullingUp](events.md#pullingup)
  - [zoomStart](events.md#zoomstart)
  - [zoomEnd](events.md#zoomend)
- [Properties](property.md)
  - [x](property.md#x)
  - [y](property.md#y)
  - [maxScrollX](property.md#maxscrollx)
  - [maxScrollY](property.md#maxscrolly)
  - [movingDirectionX](property.md#movingdirectionx)
  - [movingDirectionY](property.md#movingdirectiony)
  - [directionX](property.md#directionx)
  - [directionY](property.md#directiony)
  - [enabled](property.md#enabled)
  - [isInTransition](property.md#isintransition)
  - [isAnimating](property.md#isanimating)





